Skip to main content

Capture one 22 can no longer be opened.

Comments

6 comments

  • John Friend
    Top Commenter

    if you log into your Capture One account, you should be able to find a download link for any version you have a license to, including an older version you purchased.

    You will notice however on this compatibility page that Capture One 22 is listed as compatible only up to macOS 13.0 Ventura.  I'm not a Mac user so I don't know exactly what breaks with newer versions of macOS - others could probably help you with that.

    0
  • Walter Rowe
    Moderator
    Top Commenter

    Capture One 22 most certainly has issues with macOS Sonoma.

    0
  • Petra Baumann

    Walter Rowe That's bad because I bought and paid for it. Then I would like to use it too. Are there any solutions to these problems?

     

    0
  • Petra Baumann

    John FriendThank you very much for your quick reply. I signed up, but only Capture One Pro and Mobile are available for download. Then I hope someone can help me. :-)

    0
  • Walter Rowe
    Moderator
    Top Commenter

    Pay to upgrade to the latest Capture One. The new AI masking and Styles w/ AI masking is worth the price in my opinion.

    0
  • John Friend
    Top Commenter

    Petra Baumann - Your perpetual license to 15.x is only useful for as long as it's compatible with your operating system and once the next version is released, Capture One rarely does any upgrades on the older versions.  Unfortunately for you, Apple makes changes to the OS that break applications more often than seems to occur on Windows so if you regularly upgrade your Mac hardware or OS, you will often need to buy a new version of Capture One to keep running it.  If you kept your old system frozen in time, you could likely still run the older software.  That's just the way it is.  Other than keeping your older hardware along with the version of the MacOS that your Capture One is certified with, there is no other magic bullet.  Either that or upgrade to the current version.

    When I suggested you login to the Capture One website, I was expecting you to use a credential that you created when you purchased and registered 15.x so it would know about your existing 15.x license key (not create a new login that is not associated at all with your 15.x license key).  If you still want to try to reinstall 15.x, then I would suggest you contact support and ask for their help, though there may be limits on how long they will continue to support older software (but you can always try).

    0

Please sign in to leave a comment.